%  function ff = huegrad2(filename)
  function ff = huegrad2(im)
    %% Extract hue into a .pgm file (requires ppmtohue program)
  
    [r,c]=size(im); 
    dx = diff(im,1);
    dx=dx(1:r-1,1:c-1); 

    dy=diff(im',1)';
    dy=dy(1:r-1,1:c-1); 

    hist(vec(dx),100);
    hist(vec(dy),100);

    dx = abs(dx);
    dy = abs(dy); % still need to fix

    dx = -abs(dx.-0.5) + 0.5;
    dy = -abs(dy.-0.5) + 0.5;

    yimage(sqrt(dx.^2+dy.^2),"graymap2");

    ff = [dx,dy];
  endfunction

