#!/usr/bin/perl

$usage = <<'EOF';
usage: mergecog.pl <xfile> <yfile>  [<multiplier>]

	transform jbednar format to yschoe cog format

EOF

if ($#ARGV<1) {
	print $usage;
	exit;
}

if ($#ARGV==2) {
	$mult = $ARGV[2];
} else {
	$mult = 1.0;
}


open(FP,$ARGV[0]);

$i = 0;

while (<FP>) {

	if (/^\#/) {
		next;
	}
	chop;
	$_ =~ s/^\ //g;
	@row = split(/[\s]+/);
	for ($j=0; $j<=$#row; ++$j) {
		$x[$i][$j] = $row[$j] * $mult;
	}
	$i++;

}

close(FP);
	
open(FP,$ARGV[1]);

$i = 0;

while (<FP>) {
	if (/^\#/) {
		next;
	}
	chop;
	$_ =~ s/^\ //g;
	@row = split(/[\s]+/);
	for ($j=0; $j<=$#row; ++$j) {
		$y[$i][$j] = $row[$j] * $mult;
	}
	$i++;

}

close(FP);

for ($k=0; $k<$i; ++$k) {

	$str = "";

	for ($j=0; $j<=$#row; ++$j) {
		$str .= "$x[$k][$j]:$y[$k][$j] ";	
	}
	chop $str;

	print "$str\n";
}
