#!/usr/bin/perl

$usage = <<EOF;
  mkresizeschedule.pl <start_radius> <end_radius> <end_iteration>

	exponentially decreasing. 

EOF

if ($#ARGV != 2) {
	print $usage;
	exit;
}

$s = $ARGV[0];
$e = $ARGV[1];
$iter = $ARGV[2];

$b = $s;
$a = -log($e/$s)/$iter;

print "# start=$s, end=$e, end_iter=$iter, $b*exp(-$a*x) \n";

for ($i=$s-1; $i>=$e; --$i) {

  $reduce_i = int(log($i/$b)/(-$a));

  print "hook before $reduce_i run lissom->call_resize_lat_exc_rad $i\n";

}

