# function [x,s] = somsched(tstart,tend,tstep,vdiv)
#	from tstart to tend, with tstep,
#	generate an exponetially decreasing curve as
#	exp(-x/(tend/vdiv)) where the tend is scaled to 1.0
function [x,s] = somsched(tstart,tend,tstep,vdiv)

	x = tstart:tstep:tend;

	s = exp(-x/(tend/vdiv));

endfunction

