# function s = sumnonnan(vec)
#	return the sum of vector vec excluding all NaN instances.

function s = sumnonnan(vec)

  [r,c] = size(vec);

  s = 0;
  for i=1:r
	for j=1:c
		if (!isnan(vec(i,j)))
			s += vec(i,j);
		end
	end
  end

end
