#!/usr/bin/perl

$usage = <<EOF;
usage: listps.pl <prefix> <files> ...
	- list the ps files included with pspic in tex files
EOF

if ($#ARGV<0) {
	print $usage;
	exit;
}

$prefix = shift(@ARGV);

while($file = shift(@ARGV)) {

  open(FP, $file);
  while (<FP>) {
	if (/\\pspic(\[.+\])*{.+}{.+}{([a-zA-Z0-9_\-\.]+)}/) {
		print "$prefix/".$2.".ps ";
	}
  }
  close(FP);

}

