# function [x,y] = somplot(v)
# 	x, y : x and y center matrices
#	v : vector -- weights x,y,x,y,x,y, ....
function [x,y] = somplot(v)

s = rows(v);
n = floor(sqrt(s/2)),

x = v(1:2:s-1);
y = v(2:2:s);

x = reshape(x,n,n);
y = reshape(y,n,n);

graw("set nokey;"); plot(x,y,"1-",x',y',"1-");

endfunction

